News by topic
curl --request GET \
--url https://scrapebadger.com/v1/google/news/topics \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/news/topics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/news/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"articles": [
{
"title": "<string>",
"link": "<string>",
"source": {
"name": "<string>",
"url": "<string>",
"icon": "<string>"
},
"snippet": "<string>",
"published_at": "<string>",
"thumbnail": "<string>",
"related_stories": [
{
"title": "<string>",
"link": "<string>",
"source": "<string>",
"published_at": "<string>"
}
]
}
],
"topic": "<string>",
"language": "en",
"country": "US"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}News
News by topic
News by topic
GET
/
v1
/
google
/
news
/
topics
News by topic
Authorizations
Query Parameters
Topic name
Available options:
WORLD, BUSINESS, TECHNOLOGY, ENTERTAINMENT, SPORTS, SCIENCE, HEALTH Language code
Country code
Required range:
1 <= x <= 100⌘I

